import { LitElement, PropertyValues } from "lit";
export declare namespace Breadcrumb {
    type NavCrumb = {
        link: string;
        label: string;
    };
    export class ELEMENT extends LitElement {
        label: string;
        navCrumbs: NavCrumb[];
        anchors?: HTMLAnchorElement[];
        static get styles(): import("lit").CSSResult[];
        private setLastAnchorCurrent;
        protected firstUpdated(changedProperties: PropertyValues): void;
        protected update(changedProperties: PropertyValues): void;
        handleClick(event: MouseEvent): void;
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-breadcrumb": Breadcrumb.ELEMENT;
    }
}
